> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qfex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refdata

> Return symbol reference data.



## OpenAPI

````yaml /api-reference/openapi.yaml get /refdata
openapi: 3.1.0
info:
  contact:
    email: support@qfex.com
    name: QFEX Support
  description: REST API for QFEX
  license:
    name: QFEX License
    url: https://qfex.com/license
  title: QFEX REST API
  version: 0.1.0
servers:
  - description: Production server
    url: https://api.qfex.com
security: []
paths:
  /refdata:
    get:
      tags:
        - market-data
      summary: Refdata
      description: Return symbol reference data.
      operationId: read-refdata
      parameters:
        - explode: false
          in: query
          name: ticker
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefdataResponse'
          description: OK
          headers:
            Cache-Control:
              schema:
                type: string
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
      security: []
components:
  schemas:
    RefdataResponse:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.qfex.com/schemas/RefdataResponse.json
          format: uri
          readOnly: true
          type: string
        data:
          items:
            $ref: '#/components/schemas/RefdataSymbol'
          type:
            - array
            - 'null'
        type:
          type: string
      required:
        - type
        - data
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.qfex.com/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    RefdataSymbol:
      additionalProperties: false
      properties:
        base_asset:
          type: string
        clobPairId:
          type: string
        default_max_leverage:
          format: int64
          minimum: 0
          type: integer
        lot_size:
          type: string
        margin_asset:
          type: string
        market_hours:
          additionalProperties: {}
          type: object
        max_price:
          type: string
        max_quantity:
          type: string
        min_price:
          type: string
        min_quantity:
          type: string
        order_time_in_force:
          items:
            type: string
          type:
            - array
            - 'null'
        order_types:
          items:
            type: string
          type:
            - array
            - 'null'
        price_change_24h:
          type: string
        product_category:
          type: string
        quote_asset:
          type: string
        status:
          type: string
        symbol:
          type: string
        tick_size:
          type: string
        underlier_price:
          type: string
      required:
        - clobPairId
        - symbol
        - underlier_price
        - price_change_24h
        - default_max_leverage
        - tick_size
        - lot_size
        - min_price
        - max_price
        - min_quantity
        - max_quantity
        - base_asset
        - quote_asset
        - margin_asset
        - order_time_in_force
        - order_types
        - market_hours
        - status
        - product_category
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````